package com.cusc.adas.v2x.vo;

import com.cusc.adas.v2x.utils.FieldDef;
import com.cusc.adas.v2x.utils.Order;

//公共报文头信息
public class MessageHeadInfo {
	//标识位 0xF2
	@Order(1)
	private  short flag;
	//数据段长度
	@Order(2)
	private  long bodyLenth;
	//数据类别
	@Order(3)
	private  short dataType;
	//版本号
	@Order(4)
	private  short  version;
	//时间戳
	@Order(5)
	@FieldDef(type="TIMESTAMP",isArray=false,length=8)
	private  long  timestamp;
	//控制内容
	@Order(6)
	private  short  controlContent;
}
